Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1060003 - ghc-primitive-0.6.1.0 is available
Summary: ghc-primitive-0.6.1.0 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ghc-primitive
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: primitive-0.6.1.0:ok
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-31 09:07 UTC by Upstream Release Monitoring
Modified: 2016-07-14 10:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-14 10:31:34 UTC


Attachments (Terms of Use)
[patch] Update to 0.6 (#1060003) (deleted)
2015-03-29 01:10 UTC, Upstream Release Monitoring
no flags Details
[patch] Update to 0.6.1.0 (#1060003) (deleted)
2015-09-27 12:15 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2014-01-31 09:07:18 UTC
Latest upstream release: 0.5.1.0
Current version/release in Fedora Rawhide: 0.5.0.1-4.fc20
URL: http://hackage.haskell.org/package/primitive

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 1 Upstream Release Monitoring 2014-02-20 09:55:31 UTC
Latest upstream release: 0.5.2.1
Current version/release in Fedora Rawhide: 0.5.0.1-4.fc20
URL: http://hackage.haskell.org/package/primitive

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 2 Jens Petersen 2014-05-12 07:47:41 UTC
check-bz-available-URM cblrepo output for primitive-0.5.2.1:

Adding primitive 0.5.2.1 would break:
  haskell-platform : primitive ==0.5.0.1

Comment 3 Upstream Release Monitoring 2014-05-22 18:36:27 UTC
Latest upstream release: 0.5.3.0
Current version/release in Fedora Rawhide: 0.5.0.1-4.fc20
URL: http://hackage.haskell.org/package/primitive

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 4 Jens Petersen 2014-07-24 17:50:39 UTC
fhbz: cblrepo output for primitive-0.5.3.0:

Adding primitive 0.5.3.0 would break:
  haskell-platform : primitive ==0.5.0.1

Comment 5 Jens Petersen 2014-08-29 04:47:18 UTC
0.5.2.1 is in master

Comment 6 Jens Petersen 2014-09-12 08:17:33 UTC
fhbz: cblrepo output for primitive-0.5.3.0:

Adding primitive 0.5.3.0 would break:
  haskell-platform : primitive ==0.5.2.1

Comment 7 Upstream Release Monitoring 2014-10-13 12:06:56 UTC
Latest upstream release: 0.5.4.0
Current version/release in Fedora Rawhide: 0.5.0.1-5.fc21
URL: http://hackage.haskell.org/package/primitive

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://github.com/fedora-infra/anitya/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.

Comment 8 Jens Petersen 2014-10-14 05:53:08 UTC
fhbz: cblrepo output for primitive-0.5.4.0:

Adding primitive 0.5.4.0 would break:
  haskell-platform : primitive ==0.5.2.1

Comment 9 Upstream Release Monitoring 2015-03-29 01:09:58 UTC
Latest upstream release: 0.6
Current version/release in rawhide: 0.5.2.1-1.fc22
URL: http://hackage.haskell.org/package/primitive

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 10 Upstream Release Monitoring 2015-03-29 01:10:07 UTC
Created attachment 1007900 [details]
[patch] Update to 0.6 (#1060003)

Comment 11 Upstream Release Monitoring 2015-03-29 01:11:29 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=9358406

Comment 12 Jens Petersen 2015-04-03 06:44:28 UTC
Configuring primitive-0.6...
Setup: At least the following dependencies are missing:
transformers >=0.2 && <0.5

Comment 13 Upstream Release Monitoring 2015-09-27 12:15:45 UTC
Latest upstream release: 0.6.1.0
Current version/release in rawhide: 0.5.2.1-2.fc23
URL: http://hackage.haskell.org/package/primitive

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 14 Upstream Release Monitoring 2015-09-27 12:15:57 UTC
Created attachment 1077658 [details]
[patch] Update to 0.6.1.0 (#1060003)

Comment 15 Upstream Release Monitoring 2015-09-27 12:20:26 UTC
Scratch build completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11242069

Comment 16 Jens Petersen 2016-06-22 11:19:05 UTC
fhbz: No missing dependencies for primitive-0.6.1.0 
according to cblrpm missingdeps

Comment 17 Upstream Release Monitoring 2016-06-29 04:25:44 UTC
petersen's ghc-primitive-0.6.1.0-1.fc25 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=776422

Comment 18 Jens Petersen 2016-07-14 10:31:34 UTC
ghc-primitive-0.6.1.0-1.fc25


Note You need to log in before you can comment on or make changes to this bug.